package de.dhbwstuttgart.exceptions;

import org.antlr.v4.runtime.Token;

public class CompilerWarning extends RuntimeException {
    private final Token offset;

    public CompilerWarning(Token offset, String message) {
        super(message);
        this.offset = offset;
    }

    public Token getOffset() {
        return this.offset;
    }
}
